Subject: Re: [PATCH] net: phy: fix PHY_RUNNING in phy_state_machine

From: Andrew Lunn <[email-masked]>
Date: Thu, 17 Mar 2016 16:28:36 +0100

> > You should however consider writing a DSA driver for the switch.
> 
> Do you mean SWITCHDEV or is this more or less the same? From time to
> time I'm looking at DSA/switchdev patches in the mailing list, but
> there seems to be not so many example in kernel. What are the latest
> slides, papers aside from Documentation/networking/switchdev.txt?

I don't have access to the datasheet for this device. So i've no idea
how easy/hard it would be.

Documentation/networking/switchdev.txt and
Documentation/networking/dsa/dsa.txt would be a good place to start.

The mv88e6060.c is the simplest driver and gives you the minimum you
need to start with. Looking at the marketing brief, it looks like the
device can do more. But it is best to start simple, get the minimal
accepted, and then incrementally add more.

	  Andrew